<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLocationDescriptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('location_descriptions', function (Blueprint $table) {
            $table->id();
            $table->string('name',250)->nullable();
            $table->string('address',250)->nullable();
            $table->string('box',100)->nullable();
            $table->string('slug',200)->nullable();
            $table->string('meta_description',400)->nullable();
            $table->string('keywords',400)->nullable();
            $table->longText('description')->nullable();

            $table->unsignedBigInteger('location_id')->index();
            $table->unsignedBigInteger('language_id')->index();
            $table->foreign('location_id')->references('id')->on('locations')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('language_id')->references('id')->on('languages')->onDelete('cascade')->onUpdate('cascade');

            // Set engine to InnoDB it's useful in join and constraint
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('location_descriptions');
    }
}
